#include<bits/stdc++.h>

using namespace std;

long long pomeraj= 5e17;
long long cena;
int res=0;

int main()
{
   ios_base::sync_with_stdio(false);
   cin >> cena;
   while(cena>0 || pomeraj==1)
   {
       res+=cena/pomeraj;
       cena-=(cena/pomeraj)*pomeraj;
       pomeraj=pomeraj*2/5;
       res+=cena/pomeraj;
       cena-=(cena/pomeraj)*pomeraj;
       pomeraj=pomeraj/2;
       res+=cena/pomeraj;
       cena-=(cena/pomeraj)*pomeraj;
       pomeraj/=2;
   }
   cout << res << endl;
}